# aplicacin de la funcin de R ks.test()

numal<-runif(10)
ks.test(numal,"punif")
class(ks.test(numal,"punif"))
testKS<-ks.test(numal,"punif")
attributes(ks.test(numal,"punif"))
testKS$p.value
testKS$statistic
testKS$method

ks.test(numal,"punif",alternative ="less")
ks.test(numal,"punif",alternative ="greater")

# construccin del estadstico

#i/n

empi.l<-seq(0,0.9,by=0.1)

#i-1/n

empi.s<-seq(0.1,1,by=0.1)
snumal<-sort(numal)
difl<-(snumal-empi.l)
max(difl)
difs<-(empi.s-snumal)
max(difs)
dif<-max(difl,difs)

#funcin de distribucin emprica

empi.numal<-ecdf(numal)
empi.numal(numal)
plot(ecdf(numal),main="Funcin de distribucin emprica")
points(numal,empi.numal(numal),col="green")
abline(0,1,lwd=3)

for(i in 1:10)
{
par(new=TRUE)
numal<-runif(100)
empi.numal<-ecdf(numal)
empi.numal(numal)
plot(ecdf(numal),main="Funcin de distribucin emprica",
xlim=c(0,1),ylim=c(0,1),col=i)
points(numal,empi.numal(numal),col="green")
abline(0,1)
}

#en lugar de abline( ) se puede representar

di<-function(x){x}
curve(di(x),add=T,col="red")

#y para otras funciones

di.2<-function(x){x^2}
curve(di.2(x),add=T)

#Ejemplo 3.1 

numal2<-c(0.14,0.92,0.16,0.83,0.42,0.28,0.37,0.55,0.99,0.87)
ks.test(numal2,"punif")

ecdf(numal2)
empi.numal2<-ecdf(numal2)
plot(ecdf(numal2),main="Funcin de distribucin emprica")
points(numal2,empi.numal2(numal2),col="green")
points(numal2,numal2,col="dark red",pch=19)
abline(0,1)

empi.l<-seq(0,0.9,by=0.1)
empi.s<-seq(0.1,1,by=0.1)
snumal2<-sort(numal2)
difl2<-(snumal2-empi.l)
max(difl2)
difs2<-(empi.s-snumal2)
max(difs2)
dif2<-max(difl2,difs2)

#grficamente

for (i in 1:10)
{
lines(c(snumal2[i],snumal2[i]),c(snumal2[i],empi.s[i]),col="blue")
}
for (i in 1:10)
{
lines(c(snumal2[i],snumal2[i]),c(snumal2[i],empi.l[i]),col="green")
}
abline(v=0.83,col="red",lty=3,lwd=2)

#Los dos ejemplos

par(mfrow=c(1,2))
plot(ecdf(numal),main="Funcin de distribucin emprica")
points(numal,empi.numal(numal),col="green")
abline(0,1)
plot(ecdf(numal2),main="Funcin de distribucin emprica")
points(numal2,empi.numal2(numal2),col="green")
abline(0,1)




