#Simulacin Cauchy

u<-runif(100)
x<-tan(pi*(u-0.5))
hist(x,freq=F)
curve(dcauchy(x),add=T)

#Contraste de Kolmogorov-Smirnov

ks.test(x,"pcauchy")

#Contraste de Chi-cuadrado

cortes<-c(-Inf,seq(-2,2,by=1),Inf)
x.cut<-cut(x,cortes)
x.t<-table(x.cut)
length(x.t)
frobs=vector()
for(i in 1:length(x.t)) frobs[i]<-x.t[i]
sum(frobs)

#utilizacin de diff para chisq.test()

prob<-c(diff(pcauchy(cortes),1))
chisq.test(x=frobs,p=prob)

