#generacin de normales (mtodo del cociente de uniformes)

v12<-runif(1000)
v22<-((2*sqrt(2/exp(1)))*runif(1000))-sqrt(2/exp(1))
plot(v12,v22,ylim=c(-0.8,0.8))

#seleccin de puntos

comp2<-v22^2<=(-4)*v12^2*log(v12)
v12se<-v12[comp2==T]
v22se<-v22[comp2==T]
points(v12se,v22se,col="red",pch=19)
curve(2*x*sqrt(-log(x)),0,1,add=T,lwd=2)
curve(-2*x*sqrt(-log(x)),0,1,add=T,lwd=2)

#muestra de la normal N(0,1)

xnorm<-(v22/v12)[comp2==TRUE]

#tasa de aceptacin

tasacep12<-length(comp2[comp2==TRUE])/length(v12)
1/tasacep12

#validacin de la muestra simulada

par(mfrow=c(1,2))
hist(xnorm,freq=FALSE)
curve(dnorm(x),add=T,col="red",lwd=2)
qqnorm(xnorm)
abline(0,1,col="red",lwd=2)
ks.test(xnorm,"pnorm")


