#grfica de la mixtura de normales

curve(0.7*dnorm(x,-1,2)+0.3*dnorm(x,9,4),xlim=c(-5,20),ylab=" ",lwd=2,
main="Mixtura de Normales")

#funcin para simular una muestra de tama\~no tama
#de la mixtura de N(mu1,sigma1) y N(mu2,sigma2)
#con parmetro de mezcla p

mixtu.norm<-function(p,mu1,sigma1,mu2,sigma2,tama)
{
	mues.mixtu<-vector()
	for (i in 1:tama)
	{
	munif1<-runif(1)
	if(munif1<=p)mues.mixtu[i]<-rnorm(1,mu1,sigma1)
	else mues.mixtu[i]<-rnorm(1,mu2,sigma2)
	}
hist(mues.mixtu,freq=FALSE,ylim=c(0,0.14))
curve(p*dnorm(x,mu1,sigma1)+(1-p)*dnorm(x,mu2,sigma2),add=T,col="red")
}

#caso particular del ejemplo 2.4

mixtu.norm(0.7,-1,2,9,4,200)

#representacin grfica de diferentes mixturas de normales

pintar.mixtu<-function(p,mu1,sigma1,mu2,sigma2,c)
{
curve(p*dnorm(x,mu1,sigma1)+(1-p)*dnorm(x,mu2,sigma2),xlim=c(-20,20),
ylim=c(0,0.27),col=c,cex.axis=0.8,ylab="")
}
pintar.mixtu(0.7,-2,2,9,4,"black")
par(new=TRUE)
pintar.mixtu(0.7,1,1,8,2,"red")
par(new=TRUE)
pintar.mixtu(0.5,-1,5,5,2,"green")
