#simulacin de la muestra

munif1<-runif(100)
n<-length(munif1)
hist(munif1)
cortes<-seq(0,1,by=0.1)

#creamos un factor asociando cada observacin a un intervalo

munif1.cut<-cut(munif1,breaks=cortes)
tmunif1<-table(munif1.cut)

#podemos retocar los cortes

munif1b.cut<-cut(munif1,breaks=c(0,0.1,0.2,0.3,0.4,0.5,0.6,1))
tmunif1b<-table(munif1b.cut)

#frecuencias esperadas

k<-length(tmunif1)
frespe=NULL
for(i in 1:k) frespe[i]<-n*(cortes[i+1]-cortes[i])
sum(frespe)

#frecuencias observadas

frobs=vector()
for(i in 1:k) frobs[i]<-tmunif1[i]
sum(frobs)

#ajuste

estmunif1<- sum(((frobs-frespe)^2)/frespe)
gdl<-k-1
pval<-1-pchisq(estmunif1,gdl)

#utilizacin de chisq.test

#construccin del vector de probabilidades tericas

prob=vector()
for(i in 1:k) prob[i]<-(cortes[i+1]-cortes[i])
chisq.test(x=frobs,p=prob)

