#funcin a integrar

f.t<-function(x)
{
x^5*dt(x,8)
}
curve(f.t(x),0,30)

integrate(f.t,2.1,Inf)
attributes(integrate(f.t,2.1,Inf))
valor<-integrate(f.t,2.1,Inf)$value

#con observaciones de una t8-Student

mues.t<-matrix(nrow=1000,ncol=100)
for (j in 1:100) mues.t[,j]<-rt(1000,8)

h.mues.t<-matrix(nrow=1000,ncol=100)

for (j in 1:100)
{
	for(i in 1:1000)
	{
	if (mues.t[i,j]>2.1) h.mues.t[i,j]<-(mues.t[i,j])^5 else h.mues.t[i,j]<-0
	}
}
I.mues<-apply(h.mues.t,2,mean)
plot(I.mues,type="l")
abline(h=valor)
mean(I.mues)
sd(I.mues)

#con observaciones de una Cauchy(0,1)

mues.c<-matrix(nrow=1000,ncol=100)
for (j in 1:100) mues.c[,j]<-rcauchy(1000)

h.mues.c<-matrix(nrow=1000,ncol=100)

for (j in 1:100)
{
	for(i in 1:1000)
	{
	if (mues.c[i,j]>2.1) h.mues.c[i,j]<-((mues.c[i,j])^5)*(dt(mues.c[i,j],8))/(dcauchy(mues.c[i,j]))
	else h.mues.c[i,j]=0
	}
}
I.mues.c<-apply(h.mues.c,2,mean)
plot(I.mues.c,type="l")
abline(h=valor)
mean(I.mues.c)
sd(I.mues.c)


#con observaciones de una Normal(0,1)

mues.n<-matrix(nrow=1000,ncol=100)
for (j in 1:100) mues.n[,j]<-rnorm(1000)

h.mues.n<-matrix(nrow=1000,ncol=100)

for (j in 1:100)
{
	for(i in 1:1000)
	{
	if (mues.n[i,j]>2.1) h.mues.n[i,j]<-(((mues.n[i,j])^5)*(dt(mues.n[i,j],8)))/(dnorm(mues.n[i,j]))
	else h.mues.n[i,j]=0
	}
}
I.mues.n<-apply(h.mues.n,2,mean)
plot(I.mues.n,type="l")
mean(I.mues.n)
sd(I.mues.n)
abline(h=valor)

#con observaciones de una Uniforme (0,1/2.1)

mues.u<-matrix(nrow=1000,ncol=100)
for (j in 1:100) mues.u[,j]<-runif(1000,0,(1/2.1))

h.mues.u<-matrix(nrow=1000,ncol=100)

for (j in 1:100)
{
h.mues.u[,j]<-(mues.u[,j]^(-7))*dt((1/mues.u[,j]),8)/2.1	
}
I.mues.u<-apply(h.mues.u,2,mean)
plot(I.mues.u,type="l", ylim=c(11,16))
mean(I.mues.u)
sd(I.mues.u)
abline(h=valor)

#comparacin de las diferentes densidades de importancia

plot(I.mues.u,type="l",,col="blue", ylim=c(11,16),lwd=2,ylab="",xlab="")
lines(I.mues.n,col="red",lwd=2)
lines(I.mues.c,col="green",lwd=2)
abline(h=valor,lwd=2)

