
#los datos

dat1<-matrix(c(0.563,0.478,0.218,0.396,0.455,
0.624,0.527,0.163,0.527,0.692,0.187,0.005,0.0382,0.923,0.147,
0.811,0.531,0.545,0.450,0.839,0.999,0.536,0.926,0.373,0.986,
0.810,0.067,0.471,0.824,0.825,1.809,0.603,0.397,0.197,0.811,
0.620,0.671,0.867,0.02,0.635,0.429,0.274,0.264,0.2174,0.446,
0.049,0.945,0.132,0.238,0.082),nr=10,nc=5,byrow=TRUE)

#alpha=0.4 beta=0.6

alpha=0.4
beta=0.6
eval<-dat1>alpha & dat1<beta
k=0
s=0
g<-NULL
for(j in 1:ncol(dat1))
{
for(i in 1:nrow(dat1))
{
if (eval[i,j]=="FALSE") {k=k+1} else {s=s+1;g[s]=k;k=0}
}
}

#contraste Geom(0.6-0.4) sobre la muestra g

g.t<-table(g)
g.t[1]
cortes<-c(-0.01,1,5,Inf)
g.cut<-cut(g,breaks=cortes)
g.tb<-table(g.cut)
attributes(g.tb)

#frecuencias esperadas

length(g.tb)
frespe=NULL
for(i in 1:length(g.tb)) frespe[i]<-length(g)*(pgeom(cortes[i+1],beta-alpha)-pgeom(cortes[i],beta-alpha))
sum(frespe)
12*(1-pgeom(5,beta-alpha))

#frecuencias observadas

frobs=vector()
for(i in 1:length(g.tb)) frobs[i]<-g.tb[i]
sum(frobs)

#ajuste

estmunif1<- sum(((frobs-frespe)^2)/frespe)
gdl<-length(frespe)-1
pval<-1-pchisq(estmunif1,gdl)

#utilizacin de la funcin chisq.test

#construccin del vector de probabilidades tericas

prob=vector()
for(i in 1:(length(cortes)-1)) prob[i]<-pgeom(cortes[i+1],beta-alpha)-pgeom(cortes[i],beta-alpha)
chisq.test(x=frobs,p=prob)


