#simulacin Weibull(2)

u<-runif(100)
x<-(-log(u))^(1/2)
hist(x,freq=F)
curve(dweibull(x,2),add=T)

#contraste de Kolmogorov-Smirnov

ks.test(x,"pweibull",2)

#contraste de Chi-cuadrado

cortes<-c(seq(0,1.75,by=0.25),Inf)
x.cut<-cut(x,cortes)
x.t<-table(x.cut)
length(x.t)
frobs=vector()
for(i in 1:length(x.t)) frobs[i]<-x.t[i]
sum(frobs)

#utilizacin de diff para chisq.test()

prob<-c(diff(pweibull(cortes,2),1))
chisq.test(x=frobs,p=prob)

