SISTEMA DE COLA CON UN SERVIDOR

# Generacin de llegadas

lambda<-function(x)(5+5*x)*I(x<3)+20*I(x>=3&x<5)+(20-2*(x-5))*I(x>=5&x<=9)
curve(lambda(x),xlim=c(0,9),ylab="lambda(x)")
S<-vector()
l<-c(10,15,20,18,16,14)
te<-c(1,2,6,7,8,9)
cierre<-9
k<-length(te)
procpois2<-function() 
			{
				t<-0
				I<-0
				J<-1 
				M<-0
				repeat
				{
				X<--(1/l[J])*log(runif(1))
				if (X+t<=te[J]&J<=k) {t=X+t}
				u2<-runif(1)
				if(u2<=lambda(t)/l[J]){I<-I+1;S[I]<-t}
				if(u2>lambda(t)/l[J]){M<-M+1}
				if (X+t>te[J]&J<k) {X<-l[J]*(X-te[J]+t)/l[J+1];t<-te[J];J<-J+1}
                        if (X+t>te[J]&J==k) break 
				}
				print("tasa de aceptacin")
				print(length(S)/(M+I))
				print("S")
				return(S)
			}
procpois2()
LL<-procpois2()	#Con esta llamada a la funcin procpois(5) hacemos una asignacin en el 
		#vector LL a las llegadas de los clientes
LL[length(LL)+1]<-Inf

# Generacin de tiempo de servicio

tserv<-function() {
 				t<-(-1/20)*log(runif(1))
				return(t)
				}
tserv()

# Evolucin del sistema

unserv<-function(LL,cierre)  
{	#Bucle principal de la aplicacin
	t<-0          	# variable tiempo
	NLL<-0          	# contador de llegadas
	NS<-0          	# contador de salidas
	n<-0          	# SS: clientes en el sistema
	Y<-vector()   	# tiempos de atencin
	Sal<-vector()   	# output instantes de salida
	c<-vector()   	# clientes en el sistema
	Tp<-0          	# tiempo despus de cierre
			#Lista de sucesos
	tLL<-LL[1]  	# instante de llegada del cliente 1
	tS<-Inf		# instante salida cliente
	tm<-vector()	# tiempo cliente en el sistema
	i<-1
	j<-1
repeat
	{

# Caso 1

  	if ((tLL<=tS) & (tLL<=cierre))
		{
       	t<-tLL			# t al instante de llegada 
       	NLL<-NLL+1		# contador nmero de llegadas
	 	i<-i+1
	 	tLL<-LL[i]		# leemos las llegadas
       	n<-n+1			# SS nmero de clientes en el sistema
		 c[length(c)+1]<-n	# recogemos el nmero de clientes en el sistema
       	if (n==1) 		# en el caso de que exista un nico cliente en el sistema
			{		
  	 		Y[j]<-tserv()   # tiempos de atencin
       		tS <- t+Y[j]		# asignamos un tiempo de atencin al nico cliente
	 		j<-j+1	
         		}
		}

# Caso 2

  	if((tS<=tLL) & tS<=cierre)
		{	
       	t<-tS
      	NS<-NS + 1
       	n<-n-1
	 	c[length(c)+1]<-n
       	Sal[NS]<-t
       	tm[NS]<-Sal[NS]-LL[NS]	# tiempo en el sistema 
	   	if (n == 0) # si no quedan clientes y quedan clientes por llegar
				{ 		
				tS<-Inf	
  				}
 	  
         	if (n >0) # si hay clientes generar tiempo de sevicio
				{    	
				Y[j]<-tserv()   
         			tS<-t+Y[j]
				j<-j+1
				}
     		}

# despus de la hora de cierre
# Caso 3 
	
	if(min(tLL,tS)>cierre) # hay clientes en el sistema
		{ 
		if (n>0)    # si hay clientes generar tiempo de sevicio
			{     
        		t<-tS			
        		NS<-NS + 1		
        		n<-n-1
	  		c[length(c)+1]<-n
        		Sal[NS] <- t
        		tm[NS]<-Sal[NS]-LL[NS]
	           	if (n > 0)
				{    	
				Y[j]<-tserv()   
         			tS<-t+Y[j]
				j<-j+1
				}
			}

# Caso 4

		if (n == 0) # si no quedan clientes 
				{ 		
				Tp<-max(t-cierre,0)
				break			
  				}

       	}
	}
	if(tS==Inf)tS<-t
	resultados<-list("tiempos en el sistema",tm,"clientes en el sistema",c,
				"tiempo medio cliente en el sistema",
				mean(tm,na.rm=TRUE),
				"nmero medio clientes en el sistema",mean(c),
				"tiempo despus cierre",Tp,"tiempos atencin",Y,
				"ltima salida",tS)
	return(resultados)
}

unserv(LL,9)
plot(unserv(LL,9)[[4]],type="l")

# Tiempos despus de cierre para n jornadas

tcierre<-function(n)
{
tc<-vector(length=n)
	for(i in 1 :n)
	{
	tc[i]<-unserv(LL,9)[[10]]
	}
return(tc)
}

plot(tcierre(100),type="l")


