# Normal Bivariante

gibbs<-function (n, rho) 
{
        mat <- matrix(ncol = 2, nrow = n)
        x <- 20
        y <- 30
        mat[1, ] <- c(x, y)
        for (i in 2:n) {
                x <- rnorm(1, rho * y, sqrt(1 - rho^2))
                y <- rnorm(1, rho * x, sqrt(1 - rho^2))
                mat[i, ] <- c(x, y)
        }
        mat
}

bvn<-gibbs(10000,0.75)
par(mfrow=c(3,2))
plot(bvn,col=1:10000)
plot(bvn,type="l")
plot(bvn[,1],type="l")
plot(bvn[,2],type="l")
hist(bvn[-c(1:5),1],40,freq=F)
curve(dnorm(x),col="red",add=TRUE)
hist(bvn[-c(1:5),2],40,freq=F)
curve(dnorm(x),col="red",add=TRUE)
par(mfrow=c(1,1))
 
