#densidad a posteriori 

post.prev<-function(x)
{
exp(3*x)*dnorm(x,0,0.25)/ ((1+exp(x))^5)
}
curve(post.prev(x),-5,5)
integrate(post.prev,-100,100)

#constante de integracin 

const<-integrate(post.prev,-100,100)$value

#Algoritmo SIR
#primer paso

mnorm<-rnorm(100000,0,0.25)
w<-(exp(3*mnorm))/((1+exp(mnorm))^5)
pesos<-w/(sum(w))

#constante de integracin estimada

const.est<-mean(w)

#remuestreo

mdef<-sample(mnorm,size=1000,prob=pesos,replace=TRUE)
mean(mdef)

plot(density(mdef))

curve(post.prev(x)/const,add=T,col="blue")

#en general

sirBinNorm<-function(k,n,y,mu0,sigma0)
{
mnorm<-rnorm(k,mu0,sigma0)
w<-(exp(y*mnorm))/((1+exp(mnorm))^n)
pesos<-w/(sum(w))
mdef<-sample(mnorm,size=k,prob=pesos,replace=TRUE)
plot(density(mdef),lwd=2,main="",xlab="")
curve(post.prev(x)/const,add=T,col="red",lwd=2)
print("media a posteriori")
print(mean(mdef))
print("varianza a posteriori")
print(var(mdef))
}

sirBinNorm(1000,5,3,0,0.25)

