#Generacin de los nmeros pseudoaleatorios u1, u2

mat.unif<-matrix(runif(400),ncol=2,nrow=200)
plot(mat.unif)

#Cambio a r y theta

mat.pol<-matrix(c(2*pi*mat.unif[,1],sqrt(-2*log(mat.unif[,2]))),nrow=200,ncol=2)

#Cambio a X,Y

mat.xy<-matrix(c(mat.pol[,2]*cos(mat.pol[,1]),mat.pol[,2]*sin(mat.pol[,1])),nrow=200,ncol=2)
plot(mat.xy)

#Verificacin de la normalidad

#Histogramas

hist(mat.xy[,1])
hist(mat.xy[,2])

#Contrastes de Kolmogorov-Smirnov

ks.test(mat.xy[,1],"pnorm")
plot(ecdf(mat.xy[,1]))
curve(pnorm(x),add=TRUE,col="red",lwd=3)
ks.test(mat.xy[,2],"pnorm")
plot(ecdf(mat.xy[,2]))
curve(pnorm(x),add=TRUE,col="green",lwd=3)

#Contraste de correlacin

cor.test(mat.xy[,1],mat.xy[,2])
 
