#Simulacin exp(2)

u<-runif(100)
x<--log(u)/2
hist(x,freq=F,ylim=c(0,1.5))
curve(dexp(x,2),xlim=c(0,3),add=TRUE)

#Contraste de Kolmogorov-Smirnov

ks.test(x,"pexp",2)

#contraste de Chi-cuadrado

cortes<-c(seq(0,1,by=0.25),Inf)
x.cut<-cut(x,cortes)
x.t<-table(x.cut)
length(x.t)
frobs=vector()
for(i in 1:length(x.t)) frobs[i]<-x.t[i]
sum(frobs)

#utilizacin de diff para chisq.test()

prob<-c(diff(pexp(cortes,2),1))
chisq.test(x=frobs,p=prob)


